#!/bin/bash 
# source /esarchive/scratch/hpetetin/script/samaritan/load_modules.sh ; module load xesmf/0.2.1-foss-2018b-Python-3.7.0 ; module load netcdf4-python/1.5.3-foss-2018b-Python-3.7.0 HDF5/1.10.2-foss-2018b


if [ $BSC_MACHINE == "power" ]; then
    echo 'Load modules for POWER9'

    # Purge modules
    echo 'Purge modules'
    module purge

    # Use BSC-ES modules
    echo 'Use BSC-ES modules'
    module unuse /apps/modules/modulefiles/applications 
    module use /gpfs/projects/bsc32/software/rhel/7.4/ppc64le/POWER9/modules/all/

    # Load modules (order is important!) 
    echo 'Load modules (1)'
    module load Python/3.7.0-foss-2018b
    #module load descartes/1.1.0-foss-2018b-Python-3.7.0 
    #module load pyproj/2.2.1-foss-2018b-Python-3.7.0
    echo 'Load modules (2)'
    #module load rasterio/1.1.2-foss-2018b-Python-3.7.0 xarray/0.14.1-foss-2018b-Python-3.7.0
    #module load xarray/0.11.2-foss-2018b-Python-3.7.0
    module load matplotlib/3.1.1-foss-2018b-Python-3.7.0
    module load Cartopy/0.17.0-foss-2018b-Python-3.7.0
    #module load scikit-learn/0.21.3-foss-2018b
    echo 'Load modules (3)'
    #module load xesmf/0.2.1-foss-2018b-Python-3.7.0
    #module load xesmf/0.3.0-foss-2018b-Python-3.7.0   
    module load netcdf4-python/1.5.3-foss-2018b-Python-3.7.0 HDF5/1.10.2-foss-2018b
    echo 'Load modules (4)'
    #module load dask/2.8.0-foss-2019b-Python-3.7.4
    module load dask/2.1.0-foss-2018b-Python-3.7.0
    echo 'Load modules (5)'
    module load xarray/0.15.1-foss-2018b-Python-3.7.0

fi  

if [ $BSC_MACHINE == "nord3" ]; then
    echo 'Load modules for NORD3'
    # Purge modules
    module purge

    # Use BSC-ES modules
    echo '  (use BSC-ES modules)'
    module use /gpfs/projects/bsc32/software/suselinux/11/modules/all
    module unuse /apps/modules/modulefiles/applications /apps/modules/modulefiles/applications_bis /apps/modules/modulefiles/compilers /apps/modules/modulefiles/tools /apps/modules/modulefiles/libraries /apps/modules/modulefiles/environment /apps/modules/PRACE

    # Load modules (order is important!) 
    echo '  (load modules)'
    module load Python/3.7.4-GCCcore-8.3.0
    #module load descartes/1.1.0-foss-2019b-Python-3.7.4
    #module load pyproj/2.5.0-foss-2019b-Python-3.7.4
    ##module load rasterio/1.1.2-foss-2018b-Python-3.7.0 xarray/0.14.1-foss-2018b-Python-3.7.0
    module load xarray/0.15.1-foss-2019b-Python-3.7.4
    module load matplotlib/3.1.1-foss-2019b-Python-3.7.4
    module load Cartopy/0.17.0-foss-2019b-Python-3.7.4
    #module load scikit-learn/0.21.3-foss-2019b-Python-3.7.4
    #module load xESMF/0.3.0-foss-2019b-Python-3.7.4
    module load netcdf4-python/1.5.3-foss-2019b-Python-3.7.4 HDF5/1.10.5-gompi-2019b
    echo '  (load modules)'
    module load dask/2.8.0-foss-2019b-Python-3.7.4
    module load h5py/2.9.0-foss-2019b-Python-3.7.4
    module load geopy/1.21.0-foss-2019b-Python-3.7.4
fi  

# This allows to avoid an issue with...
export DYLD_FALLBACK_LIBRARY_PATH=/usr/local/lib:/lib:/usr/lib
